<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE> PRINT </TITLE>
<META HTTP-EQUIV="imagetoolbar" CONTENT="no">
<meta http-equiv='Content-Type' content='text/html; charset=euc-kr'>
<STYLE>
	BODY { FONT-SIZE: 9pt; FONT-FAMILY: 굴림 }
	INPUT { FONT-SIZE: 9pt; FONT-FAMILY: 굴림 }
	td	{ font-size:9pt; color:black; font-family:굴림;}
	.break {page-break-before: always;} 
</STYLE>
<script language="javascript" type="text/javascript" src="../js/ObjectWrite.js"></script>
<script language="javascript" src='../js/class.Progress.js'></script>
<script language="javascript" src='../js/Progress.js'></script>

<script language="javascript">
<!--
var albumCode = opener.albumCode;
var xxx = opener.xxx;
var CoverChk = opener.CoverChk;
var PrtWidth = opener.PrintPaperWidth;
var PrtHeight = opener.PrintPaperHeight;
var PrtPaperSize;
if(opener.printType != "Y") {
	alert(parent.Non_Printer_Msg);
	self.close();
}
if(opener.BookPrintLimit < 1) {
	alert(opener.CK_Print_Error_Msg);
	self.close();
}

DataLang18 = "<P>Select page to print</P>";
DataLang17 = "인쇄하기";
document.title =DataLang17;
var LoadImage=0;
var printStart = false;

function loadImg(imgID) {
	
	LoadImage++;
}

function imgreload(imgObj, imgSrc)
{
	setTimeout("imgreloadInput("+imgObj+", '"+imgSrc+"'", 500);
}

function imgreloadInput(imgObj, imgSrc)
{
	imgObj.src=imgSrc;
}

function Int(val) {

        len = val.length;
        if(len < 1) return 0;

        for(k=0;k<len;k++) {

                if(val.charAt(k) < '0' || val.charAt(k) > '9'){

                        return 0;
                }
        }

        return 1;
}

Array.prototype.unique = function()
{
  var a = {};
  for(var i=0; i<this.length; i++)
  {
    if(typeof a[this[i]] == "undefined")
      a[this[i]] = 1;
  }
  this.length = 0;
  for(var i in a)
    this[this.length] = i;
  return this;
}

function numberorder(a,b){
	return a - b;
}

function freeViewChange(target)
{
	var fObj = document.getElementById("freeViewPage");
	var pNum = target.options[target.selectedIndex].value;
	
	var imgsrc = opener.PageData[pNum][0];
	var rimg = imgsrc.replace("./","../page/"+albumCode+"/");

	try{fObj.innerHTML =  "<img src='"+rimg+"' width='"+reSize[0]+"' height='"+reSize[1]+"' border=0>";}
	catch(e){}
}
function freeViewChange2(target)
{
	var pNum = target.options[target.selectedIndex].value;

	document.getElementById("partFrame").src = "printPart.html?page[]="+pNum+"&width[]="+PrtWidth+"&height[]="+PrtHeight+"&aid[]="+albumCode;
}
function checkType(target) {
	for(i=0; i < target.sector.length; i++) {
		if(target.sector[i].checked==true) {
			var cType=target.sector[i].value;
			if(cType=="other") {
				target.otherVal.disabled = false;
				target.otherVal.style.backgroundColor = '#ffffff';
				target.otherVal.focus();
			}
			else {
				target.otherVal.disabled = true;
				target.otherVal.style.backgroundColor = '#c0c0c0';
				target.otherVal.value="";
			}	
			break;
		}
	}

	var tPage = opener.totalNum1;
	if(CoverChk)
		tPage--;

	if(opener.PageLoc == "1") {
		PrintImgNumL = opener.xxx;
		PrintImgNumR = opener.xxx-1;
	}
	else {
		PrintImgNumL = opener.xxx-1;
		PrintImgNumR = opener.xxx;
	}

	var d = new Array();
	if(cType == "part")
	{
		document.getElementById("previewDiv").style.display= "none";
		document.getElementById("partPrintDiv").style.display= "block";
		window.moveTo(0,0);
		window.resizeTo(815,790);
	}
	else
	{
		document.getElementById("partPrintDiv").style.display= "none";
		document.getElementById("previewDiv").style.display= "block";
		
		var w = 536;
		var h = 790;
		window.resizeTo(w,h);
	}

	if(cType=="all") {
		var c=0;
		var st = 1;
		if(CoverChk) st++;

		for(i=st; i <= tPage; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType=="left") {
		if(PrintImgNumL  >= 1 && PrintImgNumL <= tPage)
			d[0] = PrintImgNumL;
	}
	else if(cType == "right") {
		if(PrintImgNumR  >= 1 && PrintImgNumR <= tPage)
			d[0] = PrintImgNumR;
	}
	else if(cType =="start") {
		var c=0;
		for(i = PrintImgNumL; i <= tPage; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType == "end") {
		var c=0;
		var st = 1;
		if(CoverChk) st++;
		for(i=st; i <= PrintImgNumR; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType == "clib") {
		var d = new Array();
		ck = opener.GetCookieClib();
		if(ck) {
			ClibCk = ck;				
			cktmp = ck.split(";");
			for(i=0; i<cktmp.length; i++) {
				if(cktmp[i]) {
					d[i] = cktmp[i];
				}
			}
		}	
	}
	else if(cType =="other") {
		p2 = target.otherVal.value;	
		if(p2)
		{
			var d3 = new Array();
			if(p2.indexOf(",") == -1) d[0] = p2;
			else d = p2.split(",");

			for(i=0; i<=d.length-1; i++) {	
				if(d[i]) {
					if(d[i].indexOf("-") > -1) {
						d2 = d[i].split("-");
						
						if(d2[0] && d2[1] && Int(d2[0]) && Int(d2[1]) && d2[0] >= 1 && d2[0] <= tPage)
						{
							var c = d3.length;
							
							if(CoverChk && d2[0] && d2[1])
							{
								d2[0] = parseInt(d2[0]) + 1;
								d2[1] = parseInt(d2[1]) + 1;
							}

							for(m = parseInt(d2[0]); m <= parseInt(d2[1]); m++) 
							{		
								d3[c] = m;
								c++;
							}
						}

					} 
				}
			}
			
			
			var m = d.length;
			for(i=0; i < d3.length; i++) {
				if(d3[i]) {
					d[m] = d3[i];
					m++;
				}
			}
		}
	}
	else if(cType =="part")
	{
		var c=0;
		var st = 1;
		if(CoverChk) st++;

		for(i=st; i <= tPage; i++) 
		{
			d[c] = i;
			c++;
		}
		
	}

	c=0;
	var fPage = new Array();
	for(i=0; i < d.length; i++) {
			
		if(d[i] && d[i] != " ") {
			try {	
				if(d[i].indexOf("-") > -1) 
					continue;
			}catch(e){}
			
			if(Int(d[i])) {
				try{
					if(opener.PageData[d[i]][5] == "I") {
						fPage[c] = parseInt(d[i]);
						c++;
					}
				}catch(e){}
			}
		}
	}

	fPage.unique();
	//fPage.sort(numberorder);
	
	if(cType == "part")
	{
		var target = document.freeViewForm2.freeViewPageSelect2;
		var fObj = document.getElementById("freeViewPage2");
	}
	else
	{
		var target = document.freeViewForm.freeViewPageSelect;
		var fObj = document.getElementById("freeViewPage");
	}
	if(fPage.length > 0)
	{
		var len = target.length;
		
		for(s = 0 ; s < len ; s++)
		{
			target.options[0] = null;
		}

		if(fPage.length > 1)
		{
			for(s = 0 ; s < fPage.length ; s++)
			{
				
				target.options[s] = document.createElement("OPTION");
				target.options[s].text = fPage[s] + " page";
				target.options[s].value = fPage[s];
			}

			target.style.display = "block";
		}
		else
			target.style.display = "none";

		try
		{
			if(cType == "part")
			{
				
				document.getElementById("partFrame").src = "printPart.html?page[]="+fPage[0]+"&width[]="+PrtWidth+"&height[]="+PrtHeight+"&aid[]="+albumCode;
			}
			else
			{
				var imgsrc = opener.PageData[fPage[0]][0];
				var rimg = imgsrc.replace("./","../page/"+albumCode+"/");
				fObj.innerHTML =  "<img src='"+rimg+"' width='"+reSize[0]+"' height='"+reSize[1]+"' border=0>";
			}
		}
		catch(e){}
	}
	else
	{
		fObj.innerHTML = "프린트 가능한 페이지가 존재하지 않습니다.";
		document.freeViewForm.freeViewPageSelect.style.display = "none";
	}	
}

var p=new Array();
var selectCtype = "right";
function SortPage(target) {
	for(i=0; i < target.sector.length; i++) {
		if(target.sector[i].checked==true) {
			var cType=target.sector[i].value;
			break;
		}
	}
	
	if(opener.PageLoc == "1") {
		PrintImgNumL = opener.xxx;
		PrintImgNumR = opener.xxx-1;
	}
	else {
		PrintImgNumL = opener.xxx-1;
		PrintImgNumR = opener.xxx;
	}

	var tPage = opener.totalNum1;
	
	if(CoverChk)
		tPage--;
	
	selectCtype = cType;

	if(cType=="all") {
		var d = new Array();
		var c=0;
		var st = 1;
		if(CoverChk) st++;

		for(i=st; i <= tPage; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType=="left") {
		var d = new Array();
		if(PrintImgNumL  >= 1 && PrintImgNumL <= tPage)
			d[0] = PrintImgNumL;
		else {
			alert("프린트 가능한 페이지가 아닙니다.");
			return;
		}
	}
	else if(cType == "right") {
		var d = new Array();
		if(PrintImgNumR  >= 1 && PrintImgNumR <= tPage)
			d[0] = PrintImgNumR;
		else {
			alert("프린트 가능한 페이지가 아닙니다.");
			return;
		}
	}
	else if(cType =="start") {
		var d = new Array();
		var c=0;
		for(i = PrintImgNumL; i <= tPage; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType == "end") {
		var d = new Array();
		var c=0;
		var st = 1;
		if(CoverChk) st++;
		for(i=st; i <= PrintImgNumR; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType == "clib") {
		var d = new Array();
		ck = opener.GetCookieClib();
		if(ck) {
			ClibCk = ck;				
			cktmp = ck.split(";");
			for(i=0; i<cktmp.length; i++) {
				if(cktmp[i]) {
					d[i] = cktmp[i];
				}
			}
		}	
	}
	else if(cType =="other") {
		p2 = target.otherVal.value;	
		
		if(!p2) {
			
			alert('페이지번호를 입력하세요');
			return;	
		}
		var d = new Array();
		var d3 = new Array();
		if(p2.indexOf(",") == -1) d[0] = p2;
		else d = p2.split(",");

		for(i=0; i<=d.length-1; i++) {
			
			if(d[i]) {
				if(d[i].indexOf("-") > -1) {
					
					d2 = d[i].split("-");
					
					if(!d2[0] || !d2[1]) {
						alert('페이지번호가 올바르지 않습니다');
						return;	
					}
					
					if(!Int(d2[0]) || !Int(d2[1])) {
						alert('페이지번호가 올바르지 않습니다');
						return;	
					}
					
					if(d2[0] < 1 || d2[0] > tPage || d2[1] < 1 || d2[1] > tPage) {
						
						alert('페이지는 1~'+tPage+' 까지 입니다');
						return;	
					}
					
					var c = d3.length;
					
					if(CoverChk && d2[0] && d2[1])
					{
						d2[0] = parseInt(d2[0]) + 1;
						d2[1] = parseInt(d2[1]) + 1;
					}

					for(m = parseInt(d2[0]); m <= parseInt(d2[1]); m++) {	
						
						d3[c] = m;
						c++;
					}	
				} else {
					if(!Int(d[i])) {
						alert('페이지번호가 올바르지 않습니다');
						return;	
					}
					if(d[i] < 1 || d[i] > tPage) {	
						alert('페이지는 1~'+tPage+' 까지 입니다');
						return;	
					}
				}
			}
		}
		
		var m = d.length;
		for(i=0; i < d3.length; i++) {
			if(d3[i]) {
				d[m] = d3[i];
				m++;
			}
		}

	}
	else if(cType =="part") 
	{
		var d = new Array();
		d[0] = document.freeViewForm2.freeViewPageSelect2.options[document.freeViewForm2.freeViewPageSelect2.selectedIndex].value;
		
		//var innerDocument = window.frames['partFrame'].document;
		var gtop = window.frames['partFrame'].getSizes('top');
		var gleft = window.frames['partFrame'].getSizes('left');
		var gwidth = window.frames['partFrame'].getSizes('width');
		var gheight = window.frames['partFrame'].getSizes('height');
		
		if(gwidth < 1 || gheight < 1)
		{
			alert('인쇄할 영역이 지정 되지 않았습니다.');
			return;	
		}
	}
	
	c=0;
	for(i=0; i < d.length; i++) {
			
		if(d[i] && d[i] != " ") {
			try {	
				if(d[i].indexOf("-") > -1) 
					continue;
			}catch(e){}
			
			if(Int(d[i])) {
				if(opener.PageData[d[i]][5] == "I") {
					p[c] = d[i];
					c++;
				}
			}
		}
	}

	p.unique();
	p.sort(numberorder);

	if(p.length > 0)  {
		document.getElementById('procPrint').style.display = "block";
		if(target.pSize[1].checked == true)
		{
			PrtWidth = opener.PrintPaperWidth2;
			PrtHeight = opener.PrintPaperHeight2;

			var ObjDiv = document.getElementById("printPage");
			ObjDiv.style.width = PrtWidth + 25;
			//ObjDiv.style.height = PrtHeight + 25;
			ObjDiv.style.top = 0;
			ObjDiv.style.left = 0;

			PrtPaperSize = "A3";
		}
		else
		{
			PrtPaperSize = "A4";
		}
		setTimeout("imgprint()",1000);
	}
	else {
		alert("프린트 가능한 페이지가 없습니다.");
		return;
	}
		
}


function imgprint() {
	
	if(printStart == false) {
		for(i=0; i < p.length; i++) {
			if(opener.PageLoc == "1") {
				if(p[i]%2==0) locate = "R";
				else locate = "L";
			}
			else {
				if(p[i]%2==0) locate = "L";
				else locate = "R";
			}

			//var htmls = opener.PrintPrc2(p[i],locate,i);
			var htmls = opener.PrintPrc2(p[i],locate,PrtPaperSize);
			htmls = htmls.replace(/\.\//ig, "../page/"+albumCode+"/");
			htmls = htmls.replace(/opener\./ig, "");
			if(i+1 < p.length) {
				PageCut_s = "<p style='page-break-after:always;height:0; line-height:0'><br style=\"height:0; line-height:0\">";
				PageCut_e = "";
			}
			else {
				PageCut_s = "";
				PageCut_e = "";
			}
			var hideHtml = "";
			if(selectCtype == "part")
			{
				var gtop = parseInt(window.frames['partFrame'].getSizes('top'));
				var gleft = parseInt(window.frames['partFrame'].getSizes('left'));
				var gwidth = parseInt(window.frames['partFrame'].getSizes('width'));
				var gheight = parseInt(window.frames['partFrame'].getSizes('height'));
				
				var hide1 = new Array(0, 0, gtop, gleft);
				var hide2 = new Array(0, gleft, gtop, gwidth);
				var hide3 = new Array(0, (gleft+gwidth), gtop, (PrtWidth - (gleft+gwidth)));
				var hide4 = new Array(gtop, 0, gheight, gleft);
				var hide5 = new Array(gtop, (gleft+gwidth), gheight, (PrtWidth - (gleft+gwidth)));
				var hide6 = new Array((gtop+gheight),0, (PrtHeight-(gtop+gheight)), gleft);
				var hide7 = new Array((gtop+gheight), gleft, (PrtHeight-(gtop+gheight)), gwidth);
				var hide8 = new Array((gtop+gheight),  (gleft+gwidth), (PrtHeight-(gtop+gheight)), (PrtWidth - (gleft+gwidth))); 

				 hideHtml +=  "<img src=\"../base/last.jpg\" width=\""+hide1[3]+"\" height=\""+hide1[2]+"\" border=0 style=\"position:absolute;top:"+hide1[0]+";left:"+hide1[1]+"; z-index:1000;\">" ;
				 hideHtml += "<img src=\"../base/last.jpg\" width=\""+hide2[3]+"\" height=\""+hide2[2]+"\" border=0 style=\"position:absolute;top:"+hide2[0]+";left:"+hide2[1]+";z-index:1000;\">" ;
				 hideHtml += "<img src=\"../base/last.jpg\" width=\""+hide3[3]+"\" height=\""+hide3[2]+"\" border=0 style=\"position:absolute;top:"+hide3[0]+";left:"+hide3[1]+";z-index:1000;\">" ;
				 hideHtml += "<img src=\"../base/last.jpg\" width=\""+hide4[3]+"\" height=\""+hide4[2]+"\" border=0 style=\"position:absolute;top:"+hide4[0]+";left:"+hide4[1]+";z-index:1000;\">" ;
				 hideHtml += "<img src=\"../base/last.jpg\" width=\""+hide5[3]+"\" height=\""+hide5[2]+"\" border=0 style=\"position:absolute;top:"+hide5[0]+";left:"+hide5[1]+";z-index:1000;\">" ;
				 hideHtml += "<img src=\"../base/last.jpg\" width=\""+hide6[3]+"\" height=\""+hide6[2]+"\" border=0 style=\"position:absolute;top:"+hide6[0]+";left:"+hide6[1]+";z-index:1000;\">" ;
				 hideHtml += "<img src=\"../base/last.jpg\" width=\""+hide7[3]+"\" height=\""+hide7[2]+"\" border=0 style=\"position:absolute;top:"+hide7[0]+";left:"+hide7[1]+";z-index:1000;\">" ;
				 hideHtml += "<img src=\"../base/last.jpg\" width=\""+hide8[3]+"\" height=\""+hide8[2]+"\" border=0 style=\"position:absolute;top:"+hide8[0]+";left:"+hide8[1]+";z-index:1000;\">" ;
				
			}

			if(htmlsc) htmlsc += "<div  style='position:relative;width:"+PrtWidth+"px;height:"+PrtHeight+"px;'>" + htmls + "</div>"+PageCut_s;
			else var htmlsc = "<div style='position:relative;width:"+PrtWidth+"px;height:"+PrtHeight+"px;'>"+ hideHtml + htmls + "</div>"+PageCut_s;
			
			pause(100);
		}
		
		document.getElementById('printPage').style.height=(PrtHeight*p.length) ;
		document.getElementById('printPage').innerHTML = htmlsc;
		document.body.style.backgroundColor = "#FFFFFF";
		LoadPrintImage(p,"");
		printStart = true;
		
	}
	else return;
}

Ilen=0;
function LoadPrintImage(p,loop) {
	if(!loop) {	
		h = Math.floor(opener.bHeight * opener.Magnify);
		len = Math.floor(h/opener.verCutLen);
		var cutmargin = h%opener.verCutLen;
		if(cutmargin !=0) len++;
		Ilen = len * p.length;
	}
	divID = "printPage";
	
	window.status = LoadImage+","+Ilen;
	var per = Math.round((LoadImage / Ilen) * 100);
	document.getElementById('LoadImageCount').innerHTML=LoadImage+" / "+Ilen;
	
	if(Ilen-LoadImage <= 0) {
		printDiv(divID);
	}
	else {
		loop++;
		window.status = LoadImage+","+Ilen+"..."+loop;
		setTimeout("LoadPrintImage('"+p+"',"+loop+")",1000);
	}
}


var div2print;
function printDiv (id) {
    div2print = document.getElementById(id);
    window.onbeforeprint = hideDivs;
    window.onafterprint = showDivs;
	var PrintUpMsg = opener.CK_Print_Update_Msg;
    if(opener.CK_Set==1 && opener.UpdatePrintURL) {
		if(confirm(PrintUpMsg)) {
			opener.document.getElementById('CK_Frame').src=opener.UpdatePrintURL+"?MKey="+opener.MKey+"&BKey="+opener.BKey;
			PrintUpDatePageRoad();
		}
		else {
			self.close();
		}
	}
	else {
	   document.getElementById('comf').style.display="none";
	   document.getElementById('procPrint').style.display="none";
	   window.print();
		
	  var ObjDiv = document.getElementById("printPage");
	   //noMarginPrint();
	   LoadImage=0;
	   self.close();
	}
}


function hideDivs () {

    var divs = document.getElementsByTagName('DIV');
    for (var d = 0; d < divs.length; d++)
      if (divs.id != div2print.id)
			document.getElementById(divs.id).style.display = 'none';
}
function showDivs () {
		var divs = document.getElementsByTagName('DIV');
		for (var d = 0; d < divs.length; d++)
		  if (divs.id == div2print.id)
			document.getElementById(divs.id).style.display = 'block';
}



function noMarginPrint()
{
	factory.printing.header = "";   //머릿말 설정
	factory.printing.footer = "";    //꼬릿말 설정
	factory.printing.portrait = true;  //출력방향 설정: true-가로, false-세로
	factory.printing.leftMargin = 0.0;  //왼쪽 여백 설정
	factory.printing.topMargin = 0.0;  //위쪽 여백 설정
	factory.printing.rightMargin = 0.0;  //오른쪽 여백 설정
	factory.printing.bottomMargin = 0.0;  //아래쪽 여백 설정
	
	var Print_OK = factory.printing.Print(true);   //출력하기
	 if (!Print_OK) {
		// 인쇄 실패
		self.close();
	 }
	 else {
		// 인쇄 성공
		self.close();
	 }
}

function pause(numberMillis) {
     var now = new Date();
     var exitTime = now.getTime() + numberMillis;

     while (true) {
          now = new Date();
          if (now.getTime() > exitTime)
              return;
     }
}

function pauseWithModal(numberMillis) {
        var dialogScript = 
           'window.setTimeout(' +
           ' function () { window.close(); }, ' + numberMillis + ');';
        var result = 
        // IE
         window.showModalDialog(
           'javascript:document.writeln(' +
            '"<script>' + dialogScript + '<' + '/script>잠시만 기다려 주세요")');

        // NN
        /* openDialog(
           'javascript:document.writeln(' +
            '"<script>' + dialogScript + '<' + '/script>잠시만 기다려 주세요"',
           'pauseDialog', 'modal=1,width=10,height=10');
        */
}


function ProgressStart() {
	Progress = new Progress2();
	Progress.Init("ProgressDiv2", "", "",0,0,"#e6e6e6");
}

var selectPaper = "A4";
function A3Notice(paper) 
{
	selectPaper = paper;
	if(paper == "A3")
	{
		alert("출력용지를 A3 크기로 선택시 프린트할 기종 선택후 기본설정 중 공급용지를 A3 로 반드시 설정 하셔야 정상 출력이 가능 합니다");
		PrtWidth = opener.PrintPaperWidth2;
		PrtHeight = opener.PrintPaperHeight2;
		
	}
	else
	{
		PrtWidth = opener.PrintPaperWidth;
		PrtHeight = opener.PrintPaperHeight;
	}
	
	
	if(document.PrintSector.sector[7].checked == true)
	{
		var target= document.freeViewForm2.freeViewPageSelect2;
		var pNum = target.options[target.selectedIndex].value;
		document.getElementById("partFrame").src = "printPart.html?page="+pNum+"&width="+PrtWidth+"&height="+PrtHeight;
	}
}

function image_resize(img_width,img_height,size,size1) {
		
		if(size1) {
			picsize = new Array();
			new_s = new Array();
			picsize[0] = img_width;
			picsize[1] = img_height;
			if(picsize[0] > size || picsize[1] > size1) {	
				aa = picsize[1] / picsize[0];
				bb = size1 / size;
				
				if(aa <= bb) {
					tx = size;
					ty = Math.ceil((picsize[1] / picsize[0]) * size);
				}
				else {
					tx = Math.ceil((picsize[0] /  picsize[1]) * size1);
					ty = size1;
				}
				new_s[0] = tx;
				new_s[1]= ty;
			}
			else {
				new_s[0] = picsize[0];
				new_s[1] = picsize[1];
			}
			
		}
		else {
			standard = (img_width > img_height) ?   img_width : img_height;
			rate = (100 * size) / standard;
			new_s[0] = floor(img_width * (rate / 100));
			new_s[1] = floor(img_height * (rate / 100));
			
		}
		
		return new_s;
}
//-->
</script>
</HEAD>

<BODY leftMargin=0 topMargin=0  marginwidth=0 marginheight=0 oncontextmenu="return false"  ondragstart="return false" onselectstart="return false" scroll="no" bgcolor="#C0C0C0">
<object id='factory' classid='clsid:1663ed61-23eb-11d2-b92f-008048fdd814' codebase='http://<?=$domain?>/autoalbum/components/smsx.cab#Version=6,4,438,06'  style='display:none'  viewastext>
<param name='template' value='MeadCo://IE7' />
</object>
<iframe  id="CK_Frame" name="CK_Frame" width="100%" height="100" style="display:none;"></iframe>

<span id="procPrint" style="Z-INDEX: 12; LEFT: 0px; POSITION: absolute; TOP: 0px; width:506px; height: 200px; display:none">
<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0" bgcolor="#C0C0C0">
  <tr height="50"><td>&nbsp;</td></tr>
  <tr height="25">
    <td align="center" ><div id="LoadImageCount">0 / 0</div></td>
  </tr>
  <tr height="25">
	<td align="center"> 프린트를 위한 페이지 로딩 중입니다.<BR>잠시만 기다려 주세요..</td>
  </tr>
  <tr><td>&nbsp;</td></tr>
</table>
</span>

<span id=comf style="Z-INDEX: 10; LEFT: 0px; POSITION: absolute; TOP: 0px; display:block;">
<table width="506" height="200" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
<form name="PrintSector">
  <tr height="200">
    <td width="11"> </td>
    <td width="394" valign="middle" align="center">
	 
	 <table width="394" height="173" cellpadding="0" cellspacing="0" border="0">
	   <tr height="2">
	     <td colspan="3" background="../base/print/out_top.gif"></td>
	    </tr>
		
		<tr height="169">
		  <td width="2" background="../base/print/out_left.gif"></td>
		  <td width="390">
		   <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
		     <tr height="25">
			   <td width="10"> </td>
			   <td width="80">인쇄 범위</td>
			   <td width="300" ><img src="../base/print/print_line.gif"></td>
			 </tr>
			 <tr height="25">
			   <td width="10"> </td>
			   <td colspan="2" valign="top"><img src="../base/print/tran.gif" valign="absmiddle"><input type="radio" name="sector" value="all" onClick="checkType(this.form)"> 문서 전체 &nbsp;
			   <input type="radio" name="sector" value="clib" onClick="checkType(this.form)"> 책갈피</td>
			 </tr>
			 <tr height="25">
			   <td width="10"> </td>
			   <td colspan="2" valign="top">
			   <img src="../base/print/tran.gif" valign="absmiddle"><input type="radio" name="sector" value="left" onClick="checkType(this.form)" > 왼쪽 문서 &nbsp;
			   <input type="radio" name="sector" value="right" onClick="checkType(this.form)" checked> 오른쪽 문서
			   </td>
			 </tr>

			 <tr height="25">
			   <td width="10"> </td>
			   <td colspan="2" valign="top">
			   <img src="../base/print/tran.gif" valign="absmiddle"><input type="radio" name="sector" value="start" onClick="checkType(this.form)"> 현재 부터 &nbsp;
			   <input type="radio" name="sector" value="end" onClick="checkType(this.form)"> 현재 까지
			   </td>
			 </tr>

			 <tr height="44">
			   <td width="10"> </td>
			   <td colspan="2" >
			   <img src="../base/print/tran.gif" valign="absmiddle"><input type="radio" name="sector" value="other" onClick="checkType(this.form)"> 일부분 &nbsp;
			   <input type="text" size="15" name="otherVal" style="background-color=#c0c0c0;" disabled  onkeypress="if(event.keyCode!=46 && event.keyCode!=44 && event.keyCode!=45) {if ((event.keyCode<48)||(event.keyCode>57)) {event.returnValue=false;}}" onKeyUp="checkType(this.form)">
			   <img src="../base/print/ex.gif" border="0" valign="absmiddle" align="absmiddle" >
			   </td>
			 </tr>

			 <tr height="25">
			   <td width="10"> </td>
			   <td colspan="2"  valign="top">
			   <img src="../base/print/tran.gif" valign="absmiddle"><input type="radio" name="sector" value="part" onClick="checkType(this.form)"> 영역인쇄 &nbsp; ( 한 페이지 내 원하는 영역만을 인쇄 합니다. )			   
			   </td>
			 </tr>

			 <tr>
			   <td colspan="3"></td>
			 </tr>
		   </table>

		  </td>
		  <td width="2" background="../base/print/out_right.gif"></td>
		</tr>
		
		<tr height="2">
		  <td colspan="3" background="../base/print/out_buttom.gif"></td>
		</tr>
	 </table>
	</td>
    <td width="101" align="center" valign="middle">
	  <table width="101" height="173" border="0" cellpadding="0" cellspacing="0">
	    <tr height="30">
		  <td align="center" valign="top"><img src="../base/print/print_ok.gif" onClick="SortPage(document.PrintSector);" border="0" style="cursor:pointer"></td>
		</tr>
		<tr height="3"><td></td></tr>
		<tr height="30">
		  <td align="center" valign="top"><img src="../base/print/print_cancel.gif" border="0" style="cursor:pointer;" onClick="self.close();"></td>
		</tr>
		<tr height="30">
		  <td align="center" valign="bottom">프린트용지</td>
		</tr>
		<tr height="30">
		  <td align="center" valign="top"><input type="radio" name="pSize" value="A4"  checked onclick="A3Notice('A4');">A4 <input type="radio" name="pSize" value="A3" onclick="A3Notice('A3');">A3</td>
		</tr>
		<tr><td></td></tR>
	  </table>
	</td>
  </tr>
</form>
</table>
<div id="previewDiv" style="display:block;">
<table width="860" height="540" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
  <tr>
    <td width="11"></td>
	<td >
	  <table width="484" height="173" cellpadding="0" cellspacing="0" border="0">
	   <tr height="2">
	     <td colspan="3" background="../base/print/out_top.gif"></td>
	   </tr>
	   <tr>
	     <td width="2" background="../base/print/out_left.gif"></td>
		 <td width="480" height="520" valign="top">
		   <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
		   <form name="freeViewForm">
			 <tr height="25">
			   <td width="10"> </td>
			   <td width="80">미리보기</td>
			   <td width="300"><img src="../base/print/print_line.gif"></td>
			   <td width="90" align="right"> <select name="freeViewPageSelect" style="display:none" onChange="freeViewChange(this);"></select></td>
			 </tr>
			 <tr>
			   <td colspan="4" align="center"><div id="freeViewPage" width="460" height="500"></div></td>
			 </tr>
		  </form>
		  </table>
         </td>
	     <td width="2" background="../base/print/out_right.gif"></td>
	   </tr>
	   <tr height="2">
		  <td colspan="3" background="../base/print/out_buttom.gif"></td>
		</tr>
      </table>
	</td>
	<td width="11"></td>
  </tr>
</table>
</div>

<div id="partPrintDiv" style="display:none;">
<table width="100%" height="540" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
  <tR>
    <td align="center" valign="top">
		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
		   <form name="freeViewForm2">
			 <tr height="25">
			   <td width="10"> </td>
			   <td width="80">영역선택</td>
			   <td width="300"><img src="../base/print/print_line.gif"></td>
			   <td width="335">&nbsp;아래 페이지 에서 인쇄할 영역을 드래그 하세요</td>
			   <td width="90" align="right"> <select name="freeViewPageSelect2" style="display:none" onChange="freeViewChange2(this);"></select></td>
			 </tr>
			 <tr>
			   <td width=10> </td>
			   <td colspan="4" >
			   <iframe id="partFrame" name="partFrame";  src="printPart.html"  width=800 height=500 frameborder=0></iframe>
			   </td>
			 </tr>
		  </form>
		  </table>
	</td>
  </tr>
</table>
</div>
</span>

<div id="printPage" style="width:0;height:0;"></div>
<script language="javascript" type="text/javascript">
<!--
var ObjDiv = document.getElementById("printPage");
var pDivWidth = parseInt(PrtWidth + 25);
var pDivHeight = parseInt(PrtHeight);

try{
	ObjDiv.style.width = pDivWidth;
	//ObjDiv.style.height = pDivHeight;
}catch(e){
	alert("ER:"+e);
}
ObjDiv.style.top = 0;
ObjDiv.style.left = 0;

if(opener.PageLoc == "1") 
	document.PrintSector.sector[2].checked = true;
else 
	document.PrintSector.sector[3].checked = true;

if(opener.PageData[opener.xxx][5] == "I")
{
	var reSize = image_resize(opener.bWidth, opener.bHeight, 460, 480);
	var imgsrc = opener.PageData[xxx][0];
	var rimg = imgsrc.replace("./","../page/"+albumCode+"/");
	document.getElementById("freeViewPage").innerHTML = "<img src='"+rimg+"' width='"+reSize[0]+"' height='"+reSize[1]+"' border=0>";
}
	//-->
</script>
</BODY>
</HTML>
